Import & Export - Error #641

Fail to enter import issues from file
2012-02-01 08:18 - Emilio Gonzalez Montafa

Status: Resolved Start date: 2012-02-01
Priority: Normal Due date: 2012-02-01
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: Import issues Estimated time: 0.00 hour
Target version: 0.1.2

Source: Customer Detected on version: 0.1.1
Description

NoMethodError in IssuesController#show

You have a nil object when you didn't expect it!

You might have expected an instance of Array.

The error occurred while evaluating nil.each

RAILS_ROOT:
Application Trace

/var/www/redmine—-1.2.1

| Framework Trace |

Full Trace

/var/www/redmine-1.2.1/vendor/plugins/advanced_roadmap/lib/advanced_roadmap/issues_controller_patc

h.rb:13:in "render

/var/www/redmine-1.
/var/www/redmine-1.
/var/www/redmine-1.

.1/app/controllers/application_controller.rb:305:1in
.1/app/controllers/application_controller.rb:303:1in
.1/app/controllers/application_controller.rb:291:in

‘render_error'
‘render_error'
“render_404"
/var/www/redmine-1.2.1/app/controllers/issues_controller.rb:268:in "~ find_issue'
Request

Parameters:

{"project_id"=>"el132-11-02",
"id"=>"import"}

Show session dump
Response

Headers:

{"Content-Type"=>"text/html",
"Cache-Control"=>"no-cache"}

Associated revisions

Revision 1384 - 2012-02-01 08:53 - Emilio Gonzalez Montana
#641

e Added config/routes.rb to define a route for the import action on the issues controller.
e Removed not necessary find_project from the issues_controller_patch.rb, use the IssuesController one instead.

Revision 1385 - 2012-02-01 09:21 - Emilio Gonzalez Montaha
#641
e Removed ImportExportController, it wasn't been used.

e Incremented plugin version (0.1.2) and Redmine dependency (>=1.2.0).
¢ Fixed links on sidebar and impor template file.

History

#1 - 2012-02-01 08:51 - Emilio Gonzalez Montaina
- Due date set to 2012-02-01

2024-04-17 1/2




- Status changed from New to Resolved

- Assignee set to Emilio Gonzalez Montaria
- Start date set to 2012-02-01

- % Done changed from 0 to 100
